<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RemoveSNMPCommunityStringReq StructType
 * @subpackage Structs
 */
class RemoveSNMPCommunityStringReq extends APIRequest
{
    /**
     * The CommunityString
     * @var string
     */
    public $CommunityString;
    /**
     * Constructor method for RemoveSNMPCommunityStringReq
     * @uses RemoveSNMPCommunityStringReq::setCommunityString()
     * @param string $communityString
     */
    public function __construct($communityString = null)
    {
        $this
            ->setCommunityString($communityString);
    }
    /**
     * Get CommunityString value
     * @return string|null
     */
    public function getCommunityString()
    {
        return $this->CommunityString;
    }
    /**
     * Set CommunityString value
     * @param string $communityString
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RemoveSNMPCommunityStringReq
     */
    public function setCommunityString($communityString = null)
    {
        $this->CommunityString = $communityString;
        return $this;
    }
}
